<template>
  <div>
    <h3>组件1</h3>
    <input type="text" v-model="sosMsg">
    <button @click="sendSOS">发送</button>
  </div>
</template>

<script>
import bus from '../main'
export default {
  data () {
    return {
      sosMsg: ''
    }
  },
  methods: {
    sendSOS () {
      bus.$emit('sos', this.sosMsg)
    }
  }
}
</script>

<style>

</style>
